7.298. boost

Updated boost packages that fix one bug are now available for Red Hat Enterprise Linux 6.
The boost packages provide free peer-reviewed portable C++ source libraries with emphasis on libraries which work well with the C++ Standard Library.

Bug Fix

BZ#921441
Users experienced problems when trying to build MongoDB, because the version of boost (1.41), which was installed by default on Red Hat Enterprise Linux 6.4 had codes that violated the compilation rules which the version of GCC (4.4.7) verified. The previous version of GCC did not check for the error in the boost code, and this caused builds to fail for any projects that included the boost/thread.h header file from boost version 1.41. This update fixes this bug by explicitly spelling out the full destructor definition of the boost::exception_ptr class, and the previous version is now fully compatible with version 4.4.7.
Users of boost are advised to upgrade to these updated packages, which fix this bug.